BizKitHub
DocsAPI ReferenceProduct/bff/product/connect-event
postProductAdmin BFF

/bff/product/connect-event

Links a calendar event directly to a product. The event will appear in the product detail event list with type "direct".

ProductpostBffProductConnect-event

Parameters

JSON body

Request body

application/json
productCodestringRequired

Product code to link the event to.

Examplemy-product
eventCodestringRequired

Calendar event code to link.

Exampleevent-2024-01

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the event was linked successfully.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/connect-event

post
curl -X POST "https://api.bizkithub.com/bff/product/connect-event" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "my-product",
  "eventCode": "event-2024-01"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key